package control;

import command.RiderSelectCommand;
import command.CloseDrawerCommand;
import command.LoadRidersCommand;
import command.OpenDrawerCommand;
import com.adobe.cairngorm.control.FrontController;

class AppController extends FrontController {
	
	public static final LOAD_RIDERS_EVENT = "loadRidersEvent";
	public static final OPEN_DRAWER_EVENT = "openDrawerEvent";
	public static final CLOSE_DRAWER_EVENT = "closeDrawerEvent";
	public static final RIDER_SELECT_EVENT = "riderSelect";

	public function new() {
		super();
		addCommand(AppController.LOAD_RIDERS_EVENT, LoadRidersCommand);
		addCommand(AppController.OPEN_DRAWER_EVENT, OpenDrawerCommand);
		addCommand(AppController.CLOSE_DRAWER_EVENT, CloseDrawerCommand);
		addCommand(AppController.RIDER_SELECT_EVENT, RiderSelectCommand);
	}
}
